
$(document).ready(function(){
  $('.taxonomy li').draggable({
    helper: function(e1, e2) {
	  val = $.ui.ddmanager.current.element.clone();
	  val.css('position', 'fixed');
	  return val;
	}
  });
  $('.block-taxonomyblocks li').draggable({
    helper: function(e1, e2) {
	  val = $.ui.ddmanager.current.element.clone();
	  val.css('position', 'fixed');
	  return val;
	}
  });
	
  $('.node').droppable({
    accept: 'li',
    activeClass: 'droppable-active',
    hoverClass: 'droppable-hover',
    drop: function(ev, ui) {
	  node = $(this);
	  nid = node.attr('id').split('-')[1];
	  tid = $(ui.draggable).attr('class').match(/( |^)taxonomy_term_([0-9]+)( |$)/)[2];
      //tid = ui.draggable.find('a').attr('href').match(/\/([0-9]+)$/)[1];
	  node.find('.taxonomy').addClass('throbbing');
	  
      // Perform a request to the server
	  jQuery.ajax({
	    'url': '/node/' + nid + '/taxotoggle/' + tid,
		'type': 'POST',
		'cache': false,
		'data': { confirm: true, javascript: true },
		'dataType': 'html',
		'success': function(data) {
		  node.find('.taxonomy ul').remove();
		  node.find('.taxonomy').append(data);
		  node.find('.taxonomy').removeClass('throbbing').find('li').draggable({helper:'clone'});
		},
		'error': function() {
		  node.find('.taxonomy').removeClass('throbbing');
		}
	  });
    }
  });
});

